Bug 448596 - [Regression] Custom SVG folder icons no longer visible
Summary: [Regression] Custom SVG folder icons no longer visible
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kio
Classification: Unclassified
Component: Open/save dialogs (show other bugs)
Version: 5.90.0
Platform: Archlinux Packages Linux
: NOR normal
Target Milestone: ---
Assignee: KIO Bugs
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2022-01-16 14:30 UTC by Luke Horwell
Modified: 2022-01-23 15:54 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.91


Attachments
Comparison between 5.89 and 5.90 file picker (49.61 KB, image/jpeg)
2022-01-16 14:30 UTC, Luke Horwell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Horwell 2022-01-16 14:30:54 UTC
Created attachment 145540 [details]
Comparison between 5.89 and 5.90 file picker

SUMMARY

Since upgrading to KDE Frameworks 5.90 (from 5.89), folders that use a custom SVG icon now appear as an empty file in the load/save dialog.

STEPS TO REPRODUCE
1. Create a folder and set the folder icon's to a custom SVG.
2. Open a Qt app's file picker (such as KWrite)
3. Navigate to the parent folder containing the custom folder icon.

OBSERVED RESULT

The folder icon is a generic file.

EXPECTED RESULT

The folder icon displays the custom SVG, as seen in Dolphin and <=5.89.

SOFTWARE/OS VERSIONS
KDE Plasma Version: 5.24.5, 5.23.90
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2+kde+r291-1

ADDITIONAL INFORMATION

Folders with custom PNG files are not affected.
Comment 1 Fushan Wen 2022-01-19 01:55:17 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kio/-/merge_requests/708
Comment 2 Fushan Wen 2022-01-23 09:55:46 UTC
Git commit 25b470d4381aabfdeb76b9c7110c8091808c78dd by Fushan Wen.
Committed on 23/01/2022 at 09:33.
Pushed by ahmadsamir into branch 'master'.

kdirmodel: Allow using full path for Icon in .desktop file

This allows KDirModel correctly shows the icon with a full path specified
in the .desktop file.
Related: bug 448116

M  +14   -1    src/widgets/kdirmodel.cpp

https://invent.kde.org/frameworks/kio/commit/25b470d4381aabfdeb76b9c7110c8091808c78dd
Comment 3 Fushan Wen 2022-01-23 09:55:54 UTC
Git commit 672c743000d1a9a97ccf6e88f89552a744010edd by Fushan Wen.
Committed on 23/01/2022 at 09:34.
Pushed by ahmadsamir into branch 'master'.

autotests: Add `testIcon` to kdirmodeltest

The test can validate the correct icon is used if "Icon" is specified in
the desktop file, and can fall back to "unknown" if KDirModel fails to
load the icon.
Related: bug 448116

M  +136  -0    autotests/kdirmodeltest.cpp
M  +7    -0    autotests/kdirmodeltest.h

https://invent.kde.org/frameworks/kio/commit/672c743000d1a9a97ccf6e88f89552a744010edd